local fes = require("fes")
local site = fes.fes()

site.title = "JSON"
site.copyright = fes.util.copyright("https://git.vxserver.dev/fSD", "fSD")

local json_pre = [[
{
  "userId": 1,
  "id": 1,
  "title": "delectus aut autem",
  "completed": false
}
]]

local json = fes.middleware.json_decode(json_pre)

site:h1("JSON")

site:note(fes.util.cc({
	fes.std.h2("Before"),
	fes.std.code(json_pre),
}))
site:note(fes.util.cc({
	fes.std.h2("After"),
	fes.std.ul({
		json["userId"],
		json["id"],
		json["title"],
		json["completed"],
	})
}))

return site
